:root {
    /* Border & Margin */
  --margin: 16px;
  --padding: 18px;
  --border: 5px solid #black;
  --round-borders: 10px;
  --sidebar-width: 200px;
  --border-width: 5px;

  /* Fonts */
  --font-family: monospace;

  /* Background Colors: */
  --body-background:#203d1d;
  --header-aside-main-footer-background :#2E5305;
  --section-main-background:#667E5C;

  /* Effects */
  --box-shadow: 0px 0px 5px black;
  --border-style-Front: dotted;
  --border-color-aside: #203d1d;
  --border-color-main: #809D47;
  --border-style-Back: double;
}

@font-face {
    font-family: aldo;
    src: url(/Fonts/Aldo\ PC.ttf);
}

.layout {
    
    max-width: 100%;
    width: 1250px;
    display: grid;
    grid-template:
    "header header"
    "aside main"
    "footer footer"
    / 1fr 2fr;
    gap: 1em;
}

body {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    margin: 0;
    padding: var(--margin);
    background-color:var(--body-background);
    background-image: url(/Images/GreenBackground.png);
    background-position: center;
    background-size: cover;
    font-family: aldo, monospace, serif;
    color: white;
    

}

/* -------------------------------------------------------- */
/* HEADER */
/* -------------------------------------------------------- */

header {
    grid-area: header;
    background-color: var(--header-aside-main-footer-background);
    border-radius: var(--round-borders);
    background-image: url(/Images/BlogHeader.png);
    background-position: center;
    align-items: center;
    height: 200px;
    border-style: var(--border-style-Back);
    border-width: var(--border-width);
    border-color: black;
   
}

.header-title{
    margin-top: 80px;
    font-size: 25px;
    text-align: center;
    color: white;
    font-family: aldo, serif;
    line-height: 10px;
}

/* -------------------------------------------------------- */
/* ASIDE */
/* -------------------------------------------------------- */

aside {
    grid-area: aside;
    background-color: var(--header-aside-main-footer-background);
    padding: var(--padding);
    border-radius: var(--round-borders);
    overflow: hidden;
    border-style: var(--border-style-Back);
    border-width: var(--border-width);
     border-color: black;
}

.thoughts {
    background-color: var(--section-main-background);
    padding: var(--padding);
    border-radius: var(--round-borders);
    border-color: var(--border-color-aside);
    border-width: var(--border-width);
    text-align: center;
    overflow-y: auto;
}

.tTitle {
    background-color: #7c9d9c;
    border-radius: var(--round-borders);
    line-height: 1px;
    padding: 2px;
    border-style: groove;
}

.asideDivider  {
     background-image: url(/Divider/blogDivider.png);
     margin-top: 3px;
     margin-bottom: 3px;
     height: 30px;
     width: auto;
     background-position: center;
     background-repeat: repeat-x;
}

/* -------------------------------------------------------- */
/* NAV */
/* -------------------------------------------------------- */

.navTitle {
    text-align: center;
}

nav {
    background-color: var(--section-main-background);
    padding: var(--padding);
    border-radius: var(--round-borders);
    border-color: var(--border-color-aside);
    border-width: var(--border-width);
    
}
nav ul {
  list-style-type: none;
  margin-right: 0;
  padding: 0;
  
}

nav li {
    margin: 5px;
}

nav li a {
    display: block;
    border-radius: var(--round-borders);
    text-decoration: none;
    padding: 5px;
}

nav li  :hover {
    background-color: #809D47;
    color: white;
    
}

nav img {
    margin-right: 5px;
    vertical-align: middle;
}

/* -------------------------------------------------------- */
/* MAIN */
/* -------------------------------------------------------- */

main {
    grid-area: main;
    background-color: var(--header-aside-main-footer-background);
    padding: var(--padding);
    border-radius: var(--round-borders);
    border-style: var(--border-style-Back);
    border-width: var(--border-width);
    border-color: black;
}

.blog {
    background-color: var(--section-main-background);
    border-radius: var(--round-borders);
    padding: var(--padding);
    overflow-y: auto;
}


section {
    text-align: center;
}


article {
    background-color: #233f41;
    padding: 10px;
    border-radius: var(--round-borders);
        
    max-height: 300px;
    overflow: auto;
}

.blogDivider {
     background-image: url(/Divider/mushrooms\ divider.png);
     height: 20px;
     width: auto;
     background-position: center;
}

.date {
    background-color: #7c9d9c;
    margin: auto;
    width: 100px;
    padding: 5px;
    border-radius: var(--round-borders);
    border-style: groove;
}

/* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

footer {
    grid-area: footer;
    background-color: var(--header-aside-main-footer-background);
    padding: var(--padding);
    border-radius: var(--round-borders);
    border-style: var(--border-style-Back);
    border-width: var(--border-width);
     border-color: black;
}